AcdFunResolve (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.parser
Class AcdFunResolve

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.AcdFunResolve

public class AcdFunResolve
extends java.lang.Object

This is a rewrite in Java of the expression functions in ajacd.c of the EMBOSS ajax library, written by Peter Rice. Resolves any function reference in a string. Then looks for function references and resolves them.

Field Summary
`java.lang.String` | `result` result as a String of the expression used in constructor

Constructor Summary
`AcdFunResolve(java.lang.String exp)`

Method Summary
`private boolean` | `acdExpAnd(java.lang.String exp)` acdExpAnd Looks for and resolves an expression @( num & num )
`private boolean` | `acdExpCase(java.lang.String exp)` acdExpCase Looks for and resolves an expression as a switch/case statement
`private boolean` | `acdExpCond(java.lang.String exp)` acdExpCond Looks for and resolves an expression @( bool ? trueval : falseval )
`private boolean` | `acdExpDiv(java.lang.String exp)` acdExpDiv Looks for and resolves an expression @( num * num )
`private boolean` | `acdExpEqual(java.lang.String exp)` acdExpEqual Looks for and resolves an expression @( num == num )
`private boolean` | `acdExpGreater(java.lang.String exp)` acdExpGreater Looks for and resolves an expression @( num > num )
`private boolean` | `acdExpLesser(java.lang.String exp)` acdExpLesser Looks for and resolves an expression @( num < num )
`private boolean` | `acdExpMinus(java.lang.String exp)` acdExpMinus Looks for and resolves an expression @( num - num )
`private boolean` | `acdExpNot(java.lang.String exp)` acdExpNot Looks for and resolves an expression @(! bool ) or @(NOT bool) or @(not bool).
`private boolean` | `acdExpNotEqual(java.lang.String exp)` acdExpNotEqual Looks for and resolves an expression @( num != num )
`private boolean` | `acdExpOr(java.lang.String exp)` acdExpOr Looks for and resolves an expression @( num | num )
`private boolean` | `acdExpPlus(java.lang.String exp)` Looks for and resolves an expression @( num + num )
`private boolean` | `acdExpStar(java.lang.String exp)` acdExpStar Looks for and resolves an expression @( num * num )
`java.lang.String` | `acdFunResolve(java.lang.String var)` Looks for and resolves expressions
`java.lang.String` | `getResult()` Returns the value of the result of the expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    public java.lang.String result

  result as a String of the expression used in constructor

Constructor Detail

### AcdFunResolve

    public AcdFunResolve(java.lang.String exp)

Parameters:
  `exp` - String with possible expression

Method Detail

### getResult

    public java.lang.String getResult()

  Returns the value of the result of the expression.

  Returns:
    result

### acdFunResolve

    public java.lang.String acdFunResolve(java.lang.String var)

  Looks for and resolves expressions

  Returns:
    result

### acdExpPlus

    private boolean acdExpPlus(java.lang.String exp)

  Looks for and resolves an expression @( num + num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpMinus

    private boolean acdExpMinus(java.lang.String exp)

  acdExpMinus Looks for and resolves an expression @( num - num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpStar

    private boolean acdExpStar(java.lang.String exp)

  acdExpStar Looks for and resolves an expression @( num * num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpDiv

    private boolean acdExpDiv(java.lang.String exp)

  acdExpDiv Looks for and resolves an expression @( num * num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpNot

    private boolean acdExpNot(java.lang.String exp)

  acdExpNot Looks for and resolves an expression @(! bool ) or @(NOT bool) or @(not bool). An invalid bool value is treated as false, so it will return a true value.

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpEqual

    private boolean acdExpEqual(java.lang.String exp)

  acdExpEqual Looks for and resolves an expression @( num == num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpNotEqual

    private boolean acdExpNotEqual(java.lang.String exp)

  acdExpNotEqual Looks for and resolves an expression @( num != num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpGreater

    private boolean acdExpGreater(java.lang.String exp)

  acdExpGreater Looks for and resolves an expression @( num > num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpLesser

    private boolean acdExpLesser(java.lang.String exp)

  acdExpLesser Looks for and resolves an expression @( num < num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpOr

    private boolean acdExpOr(java.lang.String exp)

  acdExpOr Looks for and resolves an expression @( num | num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpAnd

    private boolean acdExpAnd(java.lang.String exp)

  acdExpAnd Looks for and resolves an expression @( num & num )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpCond

    private boolean acdExpCond(java.lang.String exp)

  acdExpCond Looks for and resolves an expression @( bool ? trueval : falseval )

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

### acdExpCase

    private boolean acdExpCase(java.lang.String exp)

  acdExpCase Looks for and resolves an expression as a switch/case statement

  Parameters:
    `exp` - String with possible expression
  Returns:
    true if successfully resolved

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD